﻿using Microsoft.AspNetCore.Authentication.Cookies;
using Microsoft.AspNetCore.Authentication.JwtBearer;
using Microsoft.AspNetCore.Authorization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.Attributes
{
    /// <summary>
    /// 混合认证特性
    /// </summary>
    public sealed class HybridAuthorizeAttribute : AuthorizeAttribute
    {
        /// <summary>
        /// 构造混合认证特性
        /// </summary>
        public HybridAuthorizeAttribute()
            : base()
        {
            this.AuthenticationSchemes = $"{CookieAuthenticationDefaults.AuthenticationScheme},{JwtBearerDefaults.AuthenticationScheme}";
        }
        /// <summary>
        /// 构造混合认证特性，通过 policy
        /// </summary>
        /// <param name="policy"></param>
        public HybridAuthorizeAttribute(string policy)
            : base(policy)
        {
            this.AuthenticationSchemes = $"{CookieAuthenticationDefaults.AuthenticationScheme},{JwtBearerDefaults.AuthenticationScheme}";
        }
    }
}
