﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.Config
{
	/// <summary>
	/// 系统配置清单
	/// </summary>
	public class AppSettings
	{
        /// <summary>
        /// SnowFlakeSingle.WorkId= 唯一数字
        /// </summary>
        public int WorkId { get; set; } = 1;
        /// <summary>
        /// 数据库类型
        /// </summary>
        public DbType ConnectionDbType {  get; set; } = DbType.Sqlite;
        /// <summary>
        /// 数据库连接字符串
        /// </summary>
        public string ConnectionString { get; set; }
		/// <summary>
		/// JWT 配置
		/// </summary>
		public JwtConfiguration JwtConfiguration { get; set; } = new JwtConfiguration();

        /// <summary>
        /// OSS 配置
        /// </summary>
        public Minio Minio { get; set; } = new Minio();
		/// <summary>
		/// 微信公众号配制
		/// </summary>
		public Wechat Wechat { get; set; }
		/// <summary>
		/// 微信订阅号，自动回复的后台管理网站地址
		/// </summary>
		public string ConsoleAddress { get; set; } = string.Empty;
	}
}
