﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.Config
{
    /// <summary>
    /// JWT Token配置
    /// </summary>
    public class JwtConfiguration
    {
        /// <summary>
        /// AccessToken密钥
        /// </summary>
        public string AccessSecret { get; set; } = "dC3eZ7fS9uP6qT6qW8vG2bU7aZ9lK1zU";
        /// <summary>
        /// RefreshToken密钥
        /// </summary>
        public string RefreshSecret { get; set; } = "gJ2gG6rN9jD9tP8kU2tO3dK5cG9pN7uH";
        /// <summary>
        /// 签发人
        /// </summary>
        public string Issuer { get; set; } = AppDomain.CurrentDomain.FriendlyName;
        /// <summary>
        /// 受众
        /// </summary>
        public string Audience { get; set; } = "that";
        /// <summary>
        /// AccessToken有效时长
        /// </summary>
        public int AccessExpiration { get; set; } = 3600;
        /// <summary>
        /// RefreshToken有效时长
        /// </summary>
        public int RefreshExpiration { get; set; } = 2592000;
        /// <summary>
        /// 允许的时差
        /// </summary>
        public int ClockSkew { get; set; } = 60;
    }
}
