﻿using Core.Extensions;
using Core.General;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Caching.Memory;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Net.Mime;
using System.Text;
using System.Threading.Tasks;

namespace Core.Controllers
{
    /// <summary>
    /// 验证码
    /// </summary>
    public sealed class CaptchaController : GeneralController
    {
        /// <summary>
        /// 生成验证码图片
        /// </summary>
        /// <param name="uniqueId">请求验证码图片的唯一id</param>
        [HttpGet]
        public FileContentResult Image([FromQuery, Required] string uniqueId)
        {
            var code = Cache.GetOrCreate($"{Constants.CachePrefixCaptchaImage}:{uniqueId}", entry =>
            {
                entry.SetAbsoluteExpiration(TimeSpan.FromMinutes(5));
                return Utils.RandomString(4);
            });
            var buffer = Utils.Captcha(code);

            return File(buffer, MediaTypeNames.Image.Png);
        }
    }
}
