﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.Entitys
{
    /// <summary>
    /// 系统字典表
    /// </summary>
    public class SysDict: EntityBase
    {
        /// <summary>
        /// 字典组Id
        /// </summary>
        [SugarColumn(ColumnDescription = "字典组Id")]
        [JsonConverter(typeof(ValueToStringConverter))]
        public virtual long DictGroupId { get; set; }

        /// <summary>
        /// 字典标签文本
        /// </summary>
        [SugarColumn(ColumnDescription = "字典标签文本")]
        public virtual string DictLabel { get; set; }

        /// <summary>
        /// 字典值
        /// </summary>
        [SugarColumn(ColumnDescription = "字典值")]
        public string DictValue { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序")]
        public int DictSort { get; set; }

        /// <summary>
        /// 是否为标签
        /// </summary>
        [SugarColumn(ColumnDescription = "是否为标签")]
        public bool HasTag { get; set; } = false;

        /// <summary>
        /// 文字颜色
        /// </summary>
        [SugarColumn(ColumnDescription = "文字颜色")]
        public string Color { get; set; } = string.Empty;

        /// <summary>
        /// 类class
        /// </summary>
        [SugarColumn(ColumnDescription = "类class")]
        public string ClassSetting { get; set; } = string.Empty;

        /// <summary>
        /// 类style
        /// </summary>
        [SugarColumn(ColumnDescription = "类style")]
        public string StyleSetting { get; set; } = string.Empty;

        /// <summary>
        /// 拓展数据
        /// </summary>
        [SugarColumn(ColumnDescription = "拓展数据")]
        public string ExtData { get; set; } = string.Empty;
    }
}
