﻿using Core.General;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static System.Runtime.InteropServices.JavaScript.JSType;

namespace Core.Entitys
{
    /// <summary>
    /// 系统认证表
    /// </summary>
    public class SysIdentity : EntityTenantId
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [SugarColumn(ColumnDescription = "用户Id")]
        [JsonConverter(typeof(ValueToStringConverter))]
        public long UserId { get; set; }

        [Navigate(NavigateType.ManyToOne, nameof(UserId))]
        public SysUser User { get; set; }

        /// <summary>
        /// 认证标识符
        /// </summary>
        [SugarColumn(ColumnDescription = "认证标识符")]
        public string Identifier { get; set; } = string.Empty;

        /// <summary>
        /// 登录凭证
        /// </summary>
        [MaxLength(512)]
        [SugarColumn(ColumnDescription = "登录凭证")]
        public string Credential { get; set; } = string.Empty;

        /// <summary>
        /// 密码盐
        /// </summary>
        [SugarColumn(ColumnDescription = "密码盐")]
        public string Salt { get; set; } = string.Empty;

        /// <summary>
        /// 最新登录Ip
        /// </summary>
        [MaxLength(256)]
        [SugarColumn(ColumnDescription = "最新登录Ip")]
        public string LastLoginIp { get; set; } = string.Empty;

        /// <summary>
        /// 最新登录地点
        /// </summary>
        [MaxLength(128)]
        [SugarColumn(ColumnDescription = "最新登录地点")]
        public string LastLoginAddress { get; set; } = string.Empty;

        /// <summary>
        ///  最新登录时间
        /// </summary>
        [SugarColumn(ColumnDescription = "最新登录时间")]
        public DateTime? LastLoginTime { get; set; }

        /// <summary>
        /// 最新登录设备
        /// </summary>
        [SugarColumn(ColumnDescription = "最新登录设备")]
        public string LastLoginDevice { get; set; } = string.Empty;
    }
}
