﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.Entitys
{
    /// <summary>
    /// 系统角色表
    /// </summary>
    public class SysRole: EntityBase
    {
        /// <summary>
        /// 角色名称
        /// </summary>
        [SugarColumn(ColumnDescription = "角色名称")]
        public string Name { get; set; }

        /// <summary>
        /// 角色编码
        /// </summary>
        [SugarColumn(ColumnDescription = "角色编码", Length = 64)]
        [MaxLength(64)]
        public string? Code { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDescription = "备注")]
        public string Remark { get; set; } = string.Empty;

        /// <summary>
        /// 数据范围（1全部数据 2本部门及以下数据 3本部门数据 4仅本人数据 5自定义数据）
        /// </summary>
        [SugarColumn(ColumnDescription = "数据范围（1全部数据 2本部门及以下数据 3本部门数据 4仅本人数据 5自定义数据）")]
        public DataScopeEnum DataScope { get; set; } = DataScopeEnum.Self;

        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态")]
        public StatusEnum Status { get; set; } = StatusEnum.Enable;
    }
}
