﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.Entitys
{
    /// <summary>
    /// 系统租户表
    /// </summary>
    [SugarTable(null, "系统租户表")]
    public class SysTenant : EntityBase
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [SugarColumn(ColumnDescription = "用户Id")]
        public long UserId { get; set; }

        /// <summary>
        /// 机构Id
        /// </summary>
        [SugarColumn(ColumnDescription = "机构Id")]
        public long OrgId { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDescription = "备注", Length = 128)]
        [MaxLength(128)]
        public string? Remark { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态")]
        public StatusEnum Status { get; set; } = StatusEnum.Enable;
    }
}
