﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.Extensions
{
    
    /// <summary>
    /// 16进制字符串拓展
    /// </summary>
    public static class HexStringExtensions
    {
        /// <summary>
        /// 字节数组转换为16进制字符串
        /// </summary>
        /// <param name="buffer"></param>
        /// <returns></returns>
        public static string ToHexString(this byte[] buffer) => BitConverter.ToString(buffer).Replace("-", "");
        /// <summary>
        /// 字节数组转换为16进制字符串
        /// </summary>
        /// <param name="buffer"></param>
        /// <param name="lowercase">大小写</param>
        /// <returns></returns>
        public static string ToHexString(this byte[] buffer, bool lowercase)
        {
            var hexStr = ToHexString(buffer);
            return lowercase ? hexStr.ToLower() : hexStr.ToUpper();
        }
        /// <summary>
        /// 从16进制字符串转换为字节数组
        /// </summary>
        /// <param name="hexString"></param>
        /// <returns></returns>
        public static byte[] FromHexString(this string hexString)
        {
            return Convert.FromHexString(hexString);
        }
    }
}
