﻿#pragma warning disable CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。

using Core;
using Core.Attributes;
using Core.Entitys;
using Core.Extensions;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Caching.Distributed;
using Microsoft.Extensions.Caching.Memory;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;
using Minio;
using Minio.DataModel.Notification;
using NAutowired.Core.Attributes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Security.Claims;
using System.Text;
using System.Threading.Tasks;

namespace Core.General
{
    /// <summary>
    /// 通用控制器
    /// </summary>
    [ApiController]
    [Route("api/[controller]/[action]")]
    public abstract class GeneralController : ControllerBase
    {
        /// <summary>
        /// 配置对象
        /// </summary>
        [Autowired]
        protected IConfiguration Config { get; private set; }
        /// <summary>
        /// 日志对象
        /// </summary>
        [Autowired]

        protected ILogger<GeneralController> Logger { get; private set; }
        /// <summary>
        /// 数据库访问服务
        /// </summary>
        [Autowired]
        protected ISqlSugarClient Db { get; private set; }

        /// <summary>
        /// 缓存服务
        /// </summary>
        [Autowired]
        protected IMemoryCache Cache { get; private set; }
        /// <summary>
        /// Minio服务
        /// </summary>
        [Autowired]
        protected IMinioClient Minio { get; private set; }


        /// <summary>
        /// 当前用户ID
        /// </summary>
        public virtual long? CurrentUserId => User.Claims.GetUserId();

        /// <summary>
        /// 当前用户名称
        /// </summary>
        public virtual string CurrentUserName => User.Claims.GetUserName();

        /// <summary>
        /// 当前用户头像
        /// </summary>
        public virtual string CurrentUserAvatar => User.Claims.GetUserAvatar();

        /// <summary>
        /// 当前用户账户
        /// </summary>
        public virtual string CurrentIdentifier => User.Claims.GetIdentifier();

        /// <summary>
        /// 当期租户Id
        /// </summary>
        public virtual long? CurrentTenantId => User.Claims.GetTenantId();

        /// <summary>
        /// 当期机构/部门Id
        /// </summary>
        public virtual long? CurrentOrgId => User.Claims.GetOrgId();
    }
}
